## generic_a15-user 12 SP1A.210812.016 eng.root.20230208.165126 dev-keys
- Manufacturer: unknown
- Platform: kirin9000
- Codename: kirin9000
- Brand: kirin9000
- Flavor: user
- Release Version: 12
- Kernel Version: 5.10.43
- Id: SP1A.210812.016
- Incremental: 20230302193150
- Tags: release-keys
- CPU Abilist: arm64-v8a,armeabi-v7a,armeabi
- A/B Device: false
- Treble Device: true
- Locale: en-US
- Screen Density: undefined
- Fingerprint: kirin9000/kirin9000/kirin9000:12/SP1A.210812.016/root03021931:user/test-keys
- OTA version: 
- Branch: generic_a15-user-12-SP1A.210812.016-eng.root.20230208.165126-dev-keys
- Repo: kirin9000/kirin9000
